/*

 * Creado el 08-mar-04

 *

 * Para cambiar la plantilla para este archivo generado vaya a

 * Ventana&gt;Preferencias&gt;Java&gt;Generación de código&gt;Código y comentarios

 */

package q02b.oficinasMunicipales.action;



import java.util.ArrayList;

import java.util.HashMap;



import javax.servlet.http.HttpServletRequest;

import javax.servlet.http.HttpServletResponse;



import org.apache.struts.action.ActionErrors;

import org.apache.struts.action.ActionForm;

import org.apache.struts.action.ActionForward;

import org.apache.struts.action.ActionMapping;



import q02b.exe.ayuntamiento.valueobjects.Q02bAyuntamiento;



import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;

import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;



/**

 * @version 1.0

 * Fecha: 08-mar-04

 */

public class Q02bActionSeleccionarOpcionAyuntamiento extends Q70ActionPasoOP {

	/**

	 * @see es.ejie.frmk.presentacion.operacion.paso.ActionPasoOP#processOP(es.ejie.frmk.presentacion.sesiondatos.ContextoEJIE, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)

	 */

	protected void processOP(

   

		Q70ContextoEJIE contexto,

		ActionErrors errores,

		ActionMapping mapping,

		ActionForm form,

		HttpServletRequest request,

		HttpServletResponse response)

		throws Exception

	{

			ArrayList listaAyuntamientos = (ArrayList)contexto.get("listaAyuntamientos");

			Q02bAyuntamiento ayuntamiento =new  Q02bAyuntamiento();

			HashMap mapa = new HashMap();

			String provincia = "";

			String municipio = "";

			String idAyuntamiento = (String) contexto.get("idAyuntamiento");		

				for (int i=0;i<listaAyuntamientos.size();i++)

				{

					ayuntamiento = (Q02bAyuntamiento)  listaAyuntamientos.get(i);

					if (idAyuntamiento.equals(ayuntamiento.getIdAyuntamiento())) 

					{

						provincia = ayuntamiento.getCodProvincia();

						municipio = ayuntamiento.getCodMunicipio();

						break;

					}

				}

			mapa.put("idProvincia", provincia);

			mapa.put("idMunicipio", municipio);

			contexto.set("filtro", mapa);	

			

	}



	/**

	 * @see es.ejie.frmk.presentacion.operacion.paso.ActionPasoOP#processForward(es.ejie.frmk.presentacion.sesiondatos.ContextoEJIE, org.apache.struts.action.ActionErrors, org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)

	 */

	protected ActionForward processForward(

		Q70ContextoEJIE contexto,

		ActionErrors errores,

		ActionMapping mapping,

		ActionForm form,

		HttpServletRequest request,

		HttpServletResponse response)

		throws Exception 

	{

			ActionForward salida = new ActionForward();

			

			salida = mapping.findForward("irFiltro");

			return salida;

	}

}

